import { API_ADPTER } from 'src/common/adapters/index'

Component({
  options: {
    multipleSlots: true,
  },
  properties: {
    // 是否可点击，显示箭头
    hasArrow: {
      type: Boolean,
      value: true,
    },
    size: {
      type: String,
    },
    hasBorder: {
      type: Boolean,
      value: true,
    },
    to: {
      type: String,
    },
    tap: {
      type: Function,
    },
    expansion: {
      type: Boolean,
    },
    cellStyle: {
      type: String,
    },
  },
  methods: {
    cellClick(e) {
      if (this.data.to) {
        return API_ADPTER.navigateTo({
          url: this.data.to,
        })
      }

      if (this.data.tap) {
        this.triggerEvent('tap', e)
      }
    },
    cellPress(e) {
      if (this.data.longpress) {
        this.triggerEvent('longpress', e)
      }
    },
  },
})
