import { getWithdrawHistoryList } from '../modal/api'

// const app = getApp()

Page({
  name: '提现记录',
  data: {
    list: [],
    pageNum: 0,
    pageSize: 10,
    last: false,
  },

  onShow() {
    this.getHistoryList()
  },

  onReachBottom() {
    if (!this.data.last) {
      this.countUpPageNum()
      this.getHistoryList()
    }
  },

  countUpPageNum() {
    this.setData({
      pageNum: this.data.pageNum + 1,
    })
  },

  getHistoryList() {
    const { pageNum, pageSize } = this.data
    getWithdrawHistoryList({ pageNum, pageSize }).then(res => {
      this.setData({
        list: res.list,
        last: res.last,
      })
    })
  },
})
