import { post } from '../../utils/request'

export const getAnyCoupon = payload => {
  return post('coupon/queryCoupons', payload)
    .then(res => res.content)
    .catch(res => Promise.reject(new Error('getAnyCoupon failed')))
}

export const getOrderCoupon = payload => {
  return post('coupon/availableCoupon', payload)
    .then(res => res.content)
    .catch(res => Promise.reject(new Error('getOrderCoupon failed')))
}
