import { get } from '../../utils/request'
import { API_ADPTER } from 'src/common/adapters/index'

export const getRule = () =>
  get('v2/promote/supplier/bonus/rule').then(res => res.content)

export const sendSms = payload =>
  get('v2/promote/notify', payload).then(res => res.content)

export const getAccountInfo = () =>
  get('v2/promote/supplier/getAccountInfo', {
    supplierId: API_ADPTER.getStorageSync('UID'),
  }).then(res => res.content)
