import { getActivityShareParams } from '../../utils/share'

Page({
  data: {
    shareTitle: '达达',
    promoteCode: '',
    friendsReward: 0,
    limitDays: 0,
    bonus: 0,
  },
  onLoad(options) {
    this.setData({
      ...options,
      shareTitle: decodeURIComponent(options.shareTitle),
    })
  },
  onShareAppMessage() {
    // const { shareTitle, promoteCode } = this.data
    // const params = {
    //   from: 'menu',
    //   title: shareTitle,
    //   imageUrl:
    //     'https://fe.imdada.cn/crinum/0.0.1/activity/images/invite_share.png',
    //   path: `/pages/activity/inviteFriend/index?promoteCode=${promoteCode}`,
    // }

    // return params

    const { rule, promoteCode } = this.data

    return getActivityShareParams({
      shareUiConfig: rule.shareUiConfig,
      shareTo: 'session',
      promoteCode,
    })
  },
})
