import { get } from '../../utils/request'
import { API_ADPTER } from 'src/common/adapters/index'

export const queryAccountInfo = payload => {
  const params = {
    ...payload,
  }

  return get('v2/account/info/base', params).then(res => {
    API_ADPTER.setStorage({
      key: 'ACCOUNT_INFO_BASE',
      data: res.content,
    })

    return res.content
  })
}

export const checkInvoiceShow = () => get('invoice/city/check', {}, { toast: false }).then(res => res.content)

export const getUserType = () => get('v2/order/init').then(res => res.content)
