import { post } from '../../utils/request'
import dayjs from 'dayjs'

export const getOrderList = payload => {
  return post('order/queryOrderList', payload).then(res => {
    res.content.list = res.content.list.map(item => {
      return {
        ...item,
        createTimeDesc: dayjs(item.createTime * 1000).format('M月D日 HH:mm'),
      }
    })

    return res.content
  })
}
