import track from 'track-mini-program'
import { API_ADPTER } from 'src/common/adapters/index'
import { getUuid } from 'src/common/utils/uuid'
import {
  getUserInfoSync,
} from './commonApi'

const setTrackInfo = () => {
  track.setUser({
    userId: API_ADPTER.getStorageSync('UID') || '',
  })
  track.setDeviceId({
    deviceId: getUuid('SWAN_DEVICE_ID') || '',
  })
}

// for 外层api调用
export const loginDiff = (app, isJump, isActivity) => {
  // todo
  const info = {'isRegister': 0, 'loginTime': 1549009210, 'phone': '13241789774', 'ticket': '613d31a817880fe0ad994fa4009d4c0f', 'uid': 11668482}
  API_ADPTER.setStorageSync('TOKEN', info.token || info.ticket)
  API_ADPTER.setStorageSync('UID', info.uid)
  API_ADPTER.setStorageSync('PHONE', info.phone)

  const data = getUserInfoSync()

  if (data.token) {
    setTrackInfo()
    app.globalData.activityBaseInfo.loggedIn = true
    app.globalData.activityBaseInfo.phone = data.phone
    return Promise.resolve(data)
  } else {
    return Promise.reject(data)
  }
}
