import { API_ADPTER } from 'src/common/adapters/index'

export const navigateTo = params => {
  const pages = getCurrentPages()
  const { url, ...others } = params

  if (
    pages.length >= 2 &&
    url.indexOf(`/${pages[pages.length - 2].route}`) === 0
  ) {
    API_ADPTER.navigateBack({ delta: 1, ...others })

    return
  }
  if (
    pages.length >= 3 &&
    url.indexOf(`/${pages[pages.length - 3].route}`) === 0
  ) {
    API_ADPTER.navigateBack({ delta: 2, ...others })

    return
  }

  API_ADPTER.navigateTo(params)
}
