export const getBwmShareParams = () => {
  // const { nickName } = this.data.wxInfo
  // const title = nickName ? `${nickName} 邀你使用「达达帮我买」` : '我邀你使用「达达帮我买」'
  const title = '我邀你使用「达达帮我买」'

  return {
    title,
    path: '/pages/home/index?channel=share_home',
    imageUrl: 'https://fe.imdada.cn/bwm/0.0.1/images/icon/share.png',
  }
}

/* options {
  shareUiConfig,
  promoteCode,
  shareTo, // 'dayjs' 微信朋友圈 'session' 微信会话
} */
export const getActivityShareParams = options => {
  if (options.shareUiConfig) {
    if (options.shareTo === 'session') {
      const wxSessionParams = options.shareUiConfig.wx_session
      let path = wxSessionParams.path

      if (options.promoteCode) {
        path = `${path}?promoteCode=${options.promoteCode}`
      }

      return {
        title: wxSessionParams.title,
        path,
        imageUrl: wxSessionParams.thumbUrl,
      }
    } else {
      return null
    }
  } else {
    return {
      title: '推荐你使用「达达」，同城帮取帮送1小时速达',
      path: '/pages/index/index?channel=share_home',
      imageUrl: 'https://fe.imdada.cn/bwm/0.0.1/images/home-share.jpg',
    }
  }
}
