import { API_ADPTER } from 'src/common/adapters/index'

Component({
  properties: {
    pic: {
      type: String,
      value: '',
    },
    link: {
      type: String,
      value: '',
    },
    adTip: {
      type: String,
      value: '',
    },
  },
  methods: {
    goToAd() {
      const link = this.data.link

      // 约定 按照link中是否含http 区分是内部/外部链接
      if (link.indexOf('http') >= 0) {
        API_ADPTER.navigateTo({ url: `/pages/activity/adPage/index?link=${link}` })
      } else {
        API_ADPTER.navigateTo({ url: link })
      }
    },
  },
})
