import { get, post } from '../../../common/utils/request'

const loadSignDetail = () => get('activity/task/checkin/task')
  .then(res => res.content)
const getLottery = params => get('growth/wxmini/checkin/grant/reward', {...params})
  .then(res => res.content)
const getTaskId = params => post('activity/action/create', {...params})
  .then(res => res.content)
const triggerTask = params => post('activity/action/trigger', {...params})
  .then(res => res.content)
const getRewardChance = params => get('activity/task/task/draw', {...params})
  .then(res => res.content)

export {loadSignDetail, getLottery, getTaskId, triggerTask, getRewardChance}
