import { post } from 'src/common/utils/request'

const app = getApp()

export const fetchCargoTags = () => {
  return post('order/getOrderTags').then(data => {
    const content = data.content || []
    const cargoTags = content.filter(item => item.tagType === 1)
    const cargoPrices = content.filter(item => item.tagType === 3)

    app.globalData.orderBillInfo.selectedCargo.cargoTags = cargoTags
    app.globalData.orderBillInfo.selectedCargo.cargoPrices = cargoPrices

    return content
  })
}
