Component({
  properties: {
    type: String,
    size: String,
    otherSize: Number,
  },
  data: {
    sizeStyle: '',
  },
  attached() {
    this.getSizeStyle()
  },
  methods: {
    getSizeStyle() {
      const { otherSize } = this.properties

      if (isNaN(otherSize) || otherSize <= 0) return

      const sizeStyle = `width: ${otherSize}rpx; height: ${otherSize}rpx; font-size: ${otherSize}rpx; line-height: ${otherSize}rpx;`

      this.setData({ sizeStyle })
    },
  },
})
