const ADDR_INFO = {
  adCode: '',
  cityId: '',
  cityName: '',
  curDistance: '',
  deliveryAvailable: '',
  doorplate: '',
  id: '',
  isDefault: '',
  isDel: '',
  isFavourite: '',
  isHidden: '',
  isManual: '',
  lat: '',
  lng: '',
  name: '',
  phone: '',
  poiAddress: '',
  poiName: '',
  uid: '',
  isPoi: false,
}

const COMMON_ADDRESS = {
  // sender-发货人，receiver-收货人，shop-商铺
  type: 'sender',
  // POI搜索关键字
  keyword: '',
  // 选择地址后跳转链接（不要以/开头）
  from: '/',
  // 发货人信息
  sender: { ...ADDR_INFO },
  // 收货人信息
  receiver: { ...ADDR_INFO },
  // 正在编辑的信息
  edit: { ...ADDR_INFO },
  // 当前选择的定位信息
  location: {
    lat: '',
    lng: '',
    city: '',
    poiName: '',
    poiAddress: '',
    adCode: '',
  },
  // 初始化定位信息
  currentLocation: {},
  // 帮我买推荐店铺逻辑
  bwmCardId: '',
  // 搜索定位列表
  poiList: null,
}

export { ADDR_INFO, COMMON_ADDRESS }
