import { getActivityList } from '../modal/api'
import { getAccountInfo } from 'src/common/pages/activity/withdraw/modal/api'
import { API_ADPTER } from 'src/common/adapters/index'

// const app = getApp()

Page({
  name: '砍价活动列表',
  data: {
    pageSize: 10,
    pageNum: 0,
    last: false,
    accountNum: 0,
    accountStatus: 1,
    list: null,
  },

  onShow() {
    this.initPage()
  },

  onReachBottom() {
    if (!this.data.last) {
      this.countUpPageNum()
      this.getActivityList()
    }
  },

  countUpPageNum() {
    this.setData({
      pageNum: this.data.pageNum + 1,
    })
  },

  initPage() {
    this.getAccountInfo()
    this.getActivityList()
  },

  getActivityList() {
    const { pageSize, pageNum } = this.data

    getActivityList({ pageSize, pageNum }).then(res => {
      this.setData({
        list: res.list,
        last: res.last,
      })
    })
  },
  getAccountInfo() {
    getAccountInfo().then(res => {
      this.setData({
        accountNum: res.balance,
        accountStatus: res.withdrawStatus,
      })
    })
  },

  goWhihdrawHistory() {
    API_ADPTER.navigateTo({
      url: '/common/pages/activity/withdraw/historyList/index',
    })
  },

})
