import { getActivityList } from './api'
import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

Page({
  name: '活动中心',
  data: {
    lists: null,
  },

  onLoad() {
    this.getActivityList()
  },

  getActivityList() {
    const adCode = app.globalData.commonAddress.location.adCode

    getActivityList({ p: '29', adCode }).then(res => {
      console.log(res)

      this.setData({
        lists: res,
      })
    })
  },
  toUrl(e) {
    API_ADPTER.navigateTo({
      url: e.currentTarget.dataset.url,
    })
  },
})
