Component({
  externalClasses: ['flex', 'flex-item'],
  properties: {
    account: {
      type: Object,
      value: null,
    },
    index: {
      type: Number,
      value: -1,
    },
  },

  methods: {
    deleteAccount() {
      this.triggerEvent('deleteAccount', { 'index': this.data.index, 'accountCode': this.data.account.accountCode })
    },

    chooseAccount() {
      this.triggerEvent('chooseAccount', { 'index': this.data.index })
    },
  },
})
