import { get, post } from '../../utils/request'

const updateSender = params =>
  post('client/updateSender', {
    ...params,
  }).then(res => {
    return res.content
  })

const updateReceiver = params =>
  post('client/updateReceiver', {
    ...params,
  }).then(res => {
    return res.content
  })

const addSender = params =>
  post('client/addSender', {
    ...params,
  }).then(res => {
    return res.content
  })

const addReceiver = params =>
  post('client/addReceiver', {
    ...params,
  }).then(res => {
    return res.content
  })

const getIntelligentFillingInfo = (params, options) =>
  get('v2/address/identify/intellect', {
    ...params,
  }, {
    ...options,
  }).then(res => {
    return res.content
  })

export { updateSender, updateReceiver, addSender, addReceiver, getIntelligentFillingInfo }
