import { post, get } from '../../utils/request'

const getChooseContent = payload => {
  return get('supplier/order/cancel/reason/list', payload).then(res => {
    return res.content
  })
}

const commitReasonRequest = payload => {
  return post('v2/order/cancel', payload)
    .then(res => {
      return res.content
    })
    .catch(() => {
      return Promise.reject(new Error('commitReasonRequest failed'))
    })
}

export { getChooseContent, commitReasonRequest }
