import qs from 'qs'
import { API_ADPTER } from 'src/common/adapters/index'

Page({
  name: '取消规则',

  data: {
    lowerTime: '',
    upperTime: '',
    cancelFee: '',
  },

  onShow() {
    const cancelRuleURL = (API_ADPTER.getStorageSync('CANCEL_CONTENT') || {})
      .cancelRuleURL
    const index = cancelRuleURL.indexOf('?')
    const result = qs.parse(
      cancelRuleURL.substr(index + 1, cancelRuleURL.length)
    )

    this.setData({
      lowerTime: result.lowerTime,
      upperTime: result.upperTime,
      cancelFee: result.cancelFee,
    })
  },

  handleBack() {
    API_ADPTER.navigateBack({
      delta: 1,
    })
  },
})
