import { getFeeRule } from './api'
const app = getApp()

Page({
  name: '运费规则',
  data: {
    baseDeliveryFee: [],
    freeDistance: 0,
    freeWeight: 0,
    maxFee: 0,
    peakTimeStep: [],
    ruleId: '',
    weightStep: [],
  },
  onLoad() {
    const { feeInfo } = app.globalData.commonOrderFeeInfo
    const { ruleId, cityId, areaId, busiType, riverPrice } = feeInfo

    getFeeRule({
      ruleId,
      cityId,
      areaId,
      busiType,
      crossRiver: riverPrice > 0,
    }).then(res => {
      this.setData({
        ...res,
      })
    })
  },
})
