import { post } from '../../utils/request'
import { API_ADPTER } from 'src/common/adapters/index'

export const genChargePayBill = payload => {
  const params = {
    ...payload,
  }

  return post('charge/genPayBill', params).then(res => {
    return res.content
  }, res => res)
}

export const requestChargeRules = payload => {
  const params = {
    ...payload,
  }

  return post('charge/queryChargeRules', params).then(res => {
    API_ADPTER.setStorage({
      key: 'ACCOUNT_CHARGE_RULES',
      data: res.content,
    })

    return res.content
  }, res => res)
}
