import { saveFormAndPrePay } from 'src/common/pages/login/api'

Page({
  data: {
    bgColor: '',
    bgImageUrl: '',
    scenarioId: '',
  },
  onShow() {
    const pages = getCurrentPages()
    let {
      bgColor,
      bgImageUrl,
      scenarioId,
    } = pages[pages.length - 1].options

    this.setData({
      bgColor: decodeURIComponent(bgColor),
      bgImageUrl: decodeURIComponent(bgImageUrl),
      scenarioId: decodeURIComponent(scenarioId),
    })
    console.log(this.data)
  },
  handleSubmit(e) {
    const formId = e.detail.formId

    saveFormAndPrePay({
      formId,
      scenarioId: this.data.scenarioId,
      appName: 'DADA',
    }).then(() => {
      wx.navigateBack({ delta: 1 })
    })
  },
})
