import { API_ADPTER } from 'src/common/adapters/index'
import * as LOGIN_DIFF from './loginDiff'

const login = (app, isJump = false, isActivity = false) => {
  return LOGIN_DIFF.loginDiff(app, isJump, isActivity)
}

/*
  options = {
    mode, //getLoginStatusOnly--仅获取登陆状态，
          //getLoginStatusAndJump--获取登陆状态且跳转
    url, //登陆后跳转url
  }
*/
const checkLogin = (
  options = {
    mode: 'getLoginStatusOnly',
    url: '',
  }
) => {
  const { mode, url } = options

  if (!API_ADPTER.getStorageSync('TOKEN')) {
    if (mode === 'getLoginStatusAndJump') {
      API_ADPTER.navigateTo({
        url,
      })
    }
    return false
  }

  return true
}

export { LOGIN_DIFF, login, checkLogin }
