import { API_ADPTER } from 'src/common/adapters/index'

const app = getApp()

const state = {
  value: '',
  len: 200,
}
const actions = {
  onShow: function () {
    const { content } = app.globalData.consultInfo

    this.setData({
      value: content,
      len: 200 - content.length,
    })
  },
  handleRemarkInputChange: function (e) {
    let { value } = e.detail
    let len = value.length

    if (len > 200) {
      len = 200
      value = value.substring(0, 200)
    }

    app.globalData.consultInfo.content = value
    this.setData({
      len: 200 - len,
      value,
    })
  },
  handleRemarkConfirm: function () {
    app.globalData.consultInfo.content = this.data.value
    API_ADPTER.navigateBack()
  },
}

Page({
  name: '请填写备注',
  data: state,
  ...actions,
})
