import { ADDR_INFO } from 'src/common/constants/addr'

Component({
  externalClasses: ['flex', 'flex-item', 'flex-column', 'text-ellipsis'],
  properties: {
    // sender, receiver, accept
    type: {
      type: String,
      value: 'sender',
    },
    addrInfo: {
      type: Object,
      value: { ...ADDR_INFO },
    },
    hasUsedAddr: {
      type: Boolean,
      value: false,
    },
    hasBorder: {
      type: Boolean,
      value: true,
    },
  },
  methods: {
    handleHistoryClick() {
      this.triggerEvent('historyClick')
    },
    handleCellClick() {
      this.triggerEvent('cellClick')
    },
  },
})
